// driver/pages/mine/feedback.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    adviceContent: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  // 获取输入内容
  changFeedback: function (e) {
    this.setData({
      adviceContent: e.detail.value
    })
  },

  // 修改信息
  addFeedback: function () {
    const adviceContent = this.data.adviceContent
    const url = '/mobile/save_advice'
    console.log(adviceContent)
    if (!adviceContent) {
      wx.showToast({
        title: '请输入反馈内容',
        icon: 'none'
      })
      return
    }
    app.AppService.appRequest(url, 'POST', {
      advice_content: adviceContent
    }, (res) => {
      wx.showToast({
        title: '保存成功',
      })
      var timer = setTimeout(() => {
        wx.navigateBack()
        clearTimeout(timer)
      }, 2000)
    })
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  
})