// driver/pages/mine/mine.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ueserName: app.globalData.loginUserInfo ? app.globalData.loginUserInfo.user_name : ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      ueserName: app.globalData.loginUserInfo ? app.globalData.loginUserInfo.user_name : ''
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  // 退出登录
  logout: function () {
    const url = '/mobile/logout'
    app.AppService.appRequest(url, 'POST', {}, (res) => {
      wx.showToast({
        title: '正在退出...',
        icon: 'none',
        duration: 1000
      })
      wx.setStorageSync('user_id', '')
      wx.setStorageSync('token', '')
      wx.redirectTo({
        url: '/pages/login/login'
      })
    }, (err) => {
      // 如果接口失败也强制退出
      wx.showToast({
        title: '正在退出...',
        icon: 'none',
        duration: 1000
      })
      wx.setStorageSync('user_id', '')
      wx.setStorageSync('token', '')
      app.globalData.loginUserInfo = null
      wx.redirectTo({
        url: '/pages/login/login'
      })
    })
    
  },

  // 跳转页面
  navigateTo: function (e) {
    const url = e.currentTarget.dataset.url
    wx.navigateTo({
      url: url,
    })
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '南泰',
      path: '/pages/login/login'
    }
  }
})